package name.krestjaninoff.application;

import org.apache.log4j.Logger;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;


/**
 * Service version of application
 *
 * @author Mikhail Krestjaninoff
 */
public class Server {
	public static void main(String[] args) throws Exception {
		
		// Set up logger
		Logger log = Logger.getLogger(Server.class);

        // Init application context
		ApplicationContext context = new ClassPathXmlApplicationContext("application-context.xml");
        log.info("APPLICATION CONTEXT CREATED");
        
        // Start Jetty
        org.mortbay.jetty.Server server = context.getBean("server", org.mortbay.jetty.Server.class);
        server.start();
        log.info("APPLICATION STARTED");
        try {
        	server.join();
        	log.info("APPLICATION FINISHED");
        } catch ( InterruptedException e ) {
        	log.info("APPLICATION INTERRUPTED");
        }
	}
}
