package name.krestjaninoff.application.interfaces;

import java.util.Set;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

import name.krestjaninoff.application.domain.Order;
import name.krestjaninoff.application.domain.User;

/**
 * Application workflow service
 * 
 * @author Mikhail Krestjaninoff
 */
@WebService
public interface WorkflowService {

	/**
	 * Get current user
	 * 
	 * @return Current user
	 */
	@WebMethod
	public User getUser();
	
	/**
	 * Create order
	 * 
	 * @param order
	 *            Order
	 * @return Id of created order
	 */
	@WebMethod
	public Long createOrder(@WebParam(name="Order") Order order);

	/**
	 * Get set of orders
	 * 
	 * @return Set of user's orders
	 */
	@WebMethod
	public Set<Order> getOrders();
	
	/**
	 * Check user acceess
	 */
	@WebMethod
	public String checkUserAcceess();
	
	/**
	 * Check admin acceess
	 */
	@WebMethod
	public String checkAdminAcceess();
}