package name.krestjaninoff.application.security;

import java.security.Principal;
import java.util.ArrayList;
import java.util.Collection;

import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.userdetails.UserDetails;

/**
 * Information for authentication 
 *
 * @author Mikhail Krestjaninoff
 */
public class UserDetailsImpl implements UserDetails, Principal {
	private static final long serialVersionUID = 7951925588910894520L;
	
	String username;
	String password;
	Collection<GrantedAuthority> authorities = new ArrayList<GrantedAuthority>(); 

	@Override
	public String getUsername() {
		return this.username;
	}
	@Override
	public String getName() {
		return this.username;
	}
	public void setUsername(String username) {
		this.username = username;
	}

	@Override
	public String getPassword() {
		return this.password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	
	@Override
	public Collection<GrantedAuthority> getAuthorities() {
		return this.authorities;
	}
	public void setAuthorities(Collection<GrantedAuthority> authorities) {
		this.authorities = authorities;
	}

	@Override
	public boolean isAccountNonExpired() {
		return true;
	}

	@Override
	public boolean isAccountNonLocked() {
		return true;
	}

	@Override
	public boolean isCredentialsNonExpired() {
		return true;
	}

	@Override
	public boolean isEnabled() {
		return true;
	}
	
	@Override
	public String toString() {
		return "UserDetailsImpl [authorities=" + authorities + ", password="
				+ password + ", username=" + username + "]";
	}
}
