package name.krestjaninoff.application.service;

import javax.jws.WebService;

import name.krestjaninoff.application.annotation.Cached;
import name.krestjaninoff.application.interfaces.AnonymousService;

import org.apache.log4j.Logger;
import org.springframework.security.access.annotation.Secured;
import org.springframework.stereotype.Service;

/**
 * Anonymous service
 *
 * @author Mikhail Krestjaninoff
 */
@Service("anonymousService")
@WebService(
	serviceName = "AnonymousService",
	targetNamespace = "http://application.krestjaninoff.name/",
	endpointInterface = "name.krestjaninoff.application.interfaces.AnonymousService"
)
public class AnonymousServiceImpl implements AnonymousService {
	final Logger log = Logger.getLogger(AnonymousServiceImpl.class);

	private String version;
	
	
	/**
	 * Constructor
	 */
	public AnonymousServiceImpl() {
	}
	
	/**
	 * Set workflow version
	 */
	public void setVersion(String version){
		this.version = version;
	}
	
	/**
	 * Get service version 
	 */
	@Secured({"ROLE_USER"})
	@Cached
	public String getVersion() {
		return this.version;
	}
}
