package name.krestjaninoff.application.unused;

import java.util.HashMap;

/**
 * Factory 
 *
 * @author Mikhail Krestjaninoff
 */
@SuppressWarnings("unchecked")
public class ObjectFactory {
    
	/**
	 * Collection of instances
	 */
	private HashMap<String, Object> _instances = new HashMap<String, Object>(); 
	
	/**
	 * Retrieve object instance 
	 * 
	 * @param object
	 * 		Object class
	 * @return
	 * 		Object instance
	 */
	public <T extends Object> T get(Class object) {
    	String objectName = object.getName();
    	T objectInstance = null;

    	if (this._instances.containsKey(objectName)) {
    		objectInstance = (T) this._instances.get(objectName);
    	} else {
	        try {
	        	objectInstance = (T) object.newInstance();
	        	_instances.put(objectName, objectInstance);
	        } catch (Exception ex) {
	            throw new RuntimeException("Couldn't create Object: " + objectName);
	        }
    	}
        return objectInstance;
    }
}