package name.krestjaninoff.application.unused.secrity;

import java.util.Collection;

import org.springframework.security.core.Authentication;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.userdetails.UserDetails;

/**
 * Authentication (<b>Unused, just for example</>)
 *
 * @author Mikhail Krestjaninoff
 */
public class AuthenticationImpl implements Authentication {
	private static final long serialVersionUID = 2866182545168276718L;
	
	private boolean isAuthenticated;
	private UserDetails userDetails;
	private Object details;
	
	public AuthenticationImpl(UserDetails userDetails, Object details) {
		this.userDetails = userDetails;
		this.details = details;
	}
	
	@Override
	public Collection<GrantedAuthority> getAuthorities() {
		return userDetails.getAuthorities();
	}

	@Override
	public Object getCredentials() {
		return userDetails.getPassword();
	}

	@Override
	public Object getDetails() {
		return this.details;
	}

	@Override
	public Object getPrincipal() {
		return userDetails;
	}

	@Override
	public boolean isAuthenticated() {
		return this.isAuthenticated;
	}

	@Override
	public void setAuthenticated(boolean isAuthenticated)
			throws IllegalArgumentException {
		this.isAuthenticated = isAuthenticated;
	}

	@Override
	public String getName() {
		return this.userDetails.getUsername();
	}
}
