package name.krestjaninoff.application.unused.service;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

import name.krestjaninoff.application.exception.AuthException;

/**
 * Auth service
 * 
 * @author Mikhail Krestjaninoff
 */
@WebService
public interface AuthService {

	/**
	 * Login
	 * 
	 * @param login
	 *            User's login
	 * @param password
	 *            User's password
	 * @return Session id
	 * @throws AuthException
	 */
	@WebMethod
	public String login(@WebParam(name="loign") String login,
			@WebParam(name="password") String password)
			throws AuthException;

	/**
	 * Logout
	 * 
	 * @param sessionId
	 *            Session id
	 * @throws AuthException
	 */
	@WebMethod
	public void logout(@WebParam(name="sessionId") String sessionId)
			throws AuthException;
}
