package name.krestjaninoff.application.unused.session;

import name.krestjaninoff.application.exception.SystemException;
import name.krestjaninoff.application.domain.User;

/**
 * User's sessions storage
 * 
 * @author Mikhail Krestjaninoff
 */
public interface SessionManager {

	/**
	 * Get user by session Id
	 * 
	 * @param sessionId
	 *            Session Id
	 * @return User
	 */
	public User get(String sessionId);

	/**
	 * Create user session
	 * 
	 * @param user
	 *            User
	 * @return Session Id
	 * @throws SystemException
	 */
	public String save(User user) throws SystemException;
	
	/**
	 * Remove user session
	 * 
	 * @param sessionId
	 *            Session Id
	 */
	public void remove(String sessionId);
}
