package name.krestjaninoff.application.unused.session;

import java.io.Serializable;

import name.krestjaninoff.application.domain.User;

/**
 * User session 
 *
 * @author Mikhail Krestjaninoff
 */
public class UserSession implements Serializable, Expirable {
	private static final long serialVersionUID = -1711054423020379492L;
	
	private String id;
	private User user;
	private Long lastAccessTime;
	
	
	public UserSession(String id, User user) {
		this.id = id;
		this.user = user;
		
		this.updateAccessTime();
	}
	
	
	public String getId() {
		return id;
	}
	public User getUser() {
		return user;
	}


	public Long getIdleTime() {
		Long idleTime = System.currentTimeMillis() - this.lastAccessTime;
		return idleTime;
	}
	
	public void updateAccessTime() {
		this.lastAccessTime = System.currentTimeMillis();
	}
}
