package name.krestjaninoff.application.web;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.web.context.WebApplicationContext;
import org.springframework.web.context.support.GenericWebApplicationContext;
import org.springframework.web.servlet.DispatcherServlet;

/**
 * Custom HTTP servlet dispatcher
 * 
 * @author Mikhail Krestjaninoff
 */
public class HTTPDispatcherServlet extends DispatcherServlet implements
		ApplicationContextAware {
	private static final long serialVersionUID = 903749668984198873L;

	private ApplicationContext ctx;

	@Override
	protected WebApplicationContext createWebApplicationContext(
			WebApplicationContext arg0) throws BeansException {
		GenericWebApplicationContext wac = new GenericWebApplicationContext();

		wac.setParent(ctx);
		wac.refresh();

		return wac;
	}
	
	public void setApplicationContext(ApplicationContext arg0)
			throws BeansException {
		this.ctx = arg0;
	}
}