package name.krestjaninoff.application.web;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.web.context.WebApplicationContext;
import org.springframework.web.context.support.GenericWebApplicationContext;
import org.springframework.web.filter.DelegatingFilterProxy;

/**
 * Wrapper for {@link DelegatingFilterProxy} with ability to set application context
 */
public class SecurityFilter extends DelegatingFilterProxy implements
		ApplicationContextAware {

	private ApplicationContext ctx;

	@Override
	protected void initFilterBean() throws ServletException {
		GenericWebApplicationContext wac = new GenericWebApplicationContext();
		
		wac.setParent(ctx);
		wac.refresh();

		ServletContext sc = getServletContext();
		sc.setAttribute(
				WebApplicationContext.ROOT_WEB_APPLICATION_CONTEXT_ATTRIBUTE,
				wac);

		super.initFilterBean();
	}

	public void setApplicationContext(ApplicationContext arg0)
			throws BeansException {
		this.ctx = arg0;
	}

	@Override
	public void afterPropertiesSet() throws ServletException {
		// super.afterPropertiesSet();
	}
}