--
-- Create tables for users and orders
--

-- User
CREATE TABLE "user"
(
  "id" serial,
  "firstname" character varying(255) NOT NULL,
  "middlename" character varying(255),
  "surname" character varying(255) NOT NULL,
  "login" character varying(255) NOT NULL,
  "password" character varying(255) NOT NULL,
  CONSTRAINT user_pkey PRIMARY KEY (id),
  CONSTRAINT user_login_key UNIQUE (login)
)
WITH (
  OIDS=FALSE
);
ALTER TABLE "user" OWNER TO application;

-- Order
CREATE TABLE "order"
(
  "id" serial,
  "title" character varying(255) NOT NULL,
  "description" character varying(255),
  "price" double precision NOT NULL,
  "date" timestamp without time zone NOT NULL DEFAULT NOW(),
  "user_id" bigint,
  CONSTRAINT order_pkey PRIMARY KEY (id),
  CONSTRAINT order_fkey FOREIGN KEY (user_id)
      REFERENCES "user" ("id") MATCH SIMPLE
      ON UPDATE CASCADE ON DELETE SET NULL
)
WITH (
  OIDS=FALSE
);
ALTER TABLE "order" OWNER TO application;


--//@UNDO


DROP TABLE "order";
DROP TABLE "user";