package name.krestjaninoff.application.logic;

import static org.junit.Assert.assertEquals;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import name.krestjaninoff.application.AbstractITest;
import name.krestjaninoff.application.domain.User;
import name.krestjaninoff.application.logic.DiscountLogic;


/**
 * Integration test for domain "Discount"
 * 
 * @author Mikhail Krestjaninoff
 */
public class DiscountITest extends AbstractITest {
	
	@Autowired
	private DiscountLogic discount;
	
	@PersistenceContext
	private EntityManager entityManager;
	
	
	@Test
	@Transactional
	public void discountSize() {

		User user = entityManager.find(User.class, new Long(1));
		assertEquals(new Double(0), discount.getDiscount(user));
		
		user = entityManager.find(User.class, new Long(2));
		assertEquals(new Double(0), discount.getDiscount(user));
		
		user = entityManager.find(User.class, new Long(3));
		assertEquals(new Double(10), discount.getDiscount(user));
	}
}
