package name.krestjaninoff.application.logic;

import static org.junit.Assert.assertEquals;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.when;

import java.util.HashSet;
import java.util.Set;

import name.krestjaninoff.application.domain.Order;
import name.krestjaninoff.application.domain.User;

import org.junit.BeforeClass;
import org.junit.Test;


/**
 * Unit test for domain "Discount"
 * 
 * @author Mikhail Krestjaninoff
 */
public class DiscountTest {

	private static DiscountLogic discount;

	@BeforeClass
	public static void setUpBeforeClass() {
		discount = new DiscountLogic();
	}

	@Test
	public void discountSize() {
		User mockedUser = mock(User.class);
		
		Order order10 = new Order();
		order10.setPrice(10.);
		Order order100 = new Order();
		order100.setPrice(100.);
		
		Set<Order> orders0  = new HashSet<Order>();
		Set<Order> orders10 = new HashSet<Order>();
		orders10.add( order10 );
		Set<Order> orders110 = new HashSet<Order>();
		orders110.add( order10 );
		orders110.add( order100 );
		
		when(mockedUser.getOrders()).thenReturn(orders0);
		assertEquals(new Double(0), discount.getDiscount(mockedUser));
		
		when(mockedUser.getOrders()).thenReturn(orders10);
		assertEquals(new Double(0), discount.getDiscount(mockedUser));

		when(mockedUser.getOrders()).thenReturn(orders110);
		assertEquals(new Double(10), discount.getDiscount(mockedUser));
	}
}
